[BACK]Return to Makefile CVS log [TXT][DIR] Up to [cvs.NetBSD.org] / src

Please note that diffs are not public domain; they are subject to the copyright notices on the relevant files.

Diff for /src/Makefile between version 1.272 and 1.275

version 1.272, 2009/07/03 22:20:27 version 1.275, 2009/11/30 16:13:22
Line 92 
Line 92 
 #   do-lib:          builds and installs prerequisites from lib.  #   do-lib:          builds and installs prerequisites from lib.
 #   do-gnu-lib:      builds and installs prerequisites from gnu/lib.  #   do-gnu-lib:      builds and installs prerequisites from gnu/lib.
 #   do-external-lib: builds and installs prerequisites from external/lib.  #   do-external-lib: builds and installs prerequisites from external/lib.
   #   do-sys-rump-dev-lib: builds and installs prerequisites from sys/rump/dev/lib
 #   do-sys-rump-fs-lib:  builds and installs prerequisites from sys/rump/fs/lib  #   do-sys-rump-fs-lib:  builds and installs prerequisites from sys/rump/fs/lib
 #   do-sys-rump-net-lib: builds and installs prerequisites from sys/rump/net/lib  #   do-sys-rump-net-lib: builds and installs prerequisites from sys/rump/net/lib
 #   do-sys-modules:  builds and installs kernel modules (used by rump binaries)  #   do-sys-modules:  builds and installs kernel modules (used by rump binaries)
Line 107 
Line 108 
 #   do-x11:          builds and installs X11 if ${MKX11} != "no"; either  #   do-x11:          builds and installs X11 if ${MKX11} != "no"; either
 #                    X11R7 from src/external/mit/xorg if ${X11FLAVOUR} == "Xorg"  #                    X11R7 from src/external/mit/xorg if ${X11FLAVOUR} == "Xorg"
 #                    or X11R6 from src/x11  #                    or X11R6 from src/x11
   #   do-extsrc:       builds and installs extsrc if ${MKEXTSRC} != "no".
 #   do-obsolete:     installs the obsolete sets (for the postinstall-* targets).  #   do-obsolete:     installs the obsolete sets (for the postinstall-* targets).
 #  #
   
Line 237  BUILDTARGET+= do-libpcc
Line 239  BUILDTARGET+= do-libpcc
 .endif  .endif
 BUILDTARGETS+=  do-lib-libc  BUILDTARGETS+=  do-lib-libc
 BUILDTARGETS+=  do-lib do-gnu-lib do-external-lib  BUILDTARGETS+=  do-lib do-gnu-lib do-external-lib
 .if (${MACHINE} != "evbppc")  .if (${MACHINE} != "evbppc") && ${MKKMOD} != "no"
 BUILDTARGETS+=  do-sys-modules  BUILDTARGETS+=  do-sys-modules
 .endif  .endif
 BUILDTARGETS+=  do-sys-rump-fs-lib do-sys-rump-net-lib  BUILDTARGETS+=  do-sys-rump-dev-lib do-sys-rump-fs-lib do-sys-rump-net-lib
 .if ${MKCOMPAT} != "no"  .if ${MKCOMPAT} != "no"
 BUILDTARGETS+=  do-compat-lib-csu  BUILDTARGETS+=  do-compat-lib-csu
 BUILDTARGETS+=  do-compat-libgcc  BUILDTARGETS+=  do-compat-libgcc
Line 251  BUILDTARGETS+= do-build
Line 253  BUILDTARGETS+= do-build
 .if ${MKX11} != "no"  .if ${MKX11} != "no"
 BUILDTARGETS+=  do-x11  BUILDTARGETS+=  do-x11
 .endif  .endif
   .if ${MKEXTSRC} != "no"
   BUILDTARGETS+=  do-extsrc
   .endif
 BUILDTARGETS+=  do-obsolete  BUILDTARGETS+=  do-obsolete
   
 #  #
Line 415  BUILD_COMPAT_LIBS= compat/lib/csu ${BUIL
Line 420  BUILD_COMPAT_LIBS= compat/lib/csu ${BUIL
 BUILD_COMPAT_LIBS=  BUILD_COMPAT_LIBS=
 .endif  .endif
   
 .for dir in tools tools/compat lib/csu ${BUILD_CC_LIB} lib/libc lib/libdes lib gnu/lib external/lib crypto/external/lib sys/rump/fs/lib sys/rump/net/lib sys/modules ${BUILD_COMPAT_LIBS}  .for dir in tools tools/compat lib/csu ${BUILD_CC_LIB} lib/libc lib/libdes lib gnu/lib external/lib crypto/external/lib sys/rump/dev/lib sys/rump/fs/lib sys/rump/net/lib sys/modules ${BUILD_COMPAT_LIBS}
 do-${dir:S/\//-/g}: .PHONY .MAKE  do-${dir:S/\//-/g}: .PHONY .MAKE
 .for targ in dependall install  .for targ in dependall install
         ${MAKEDIRTARGET} ${dir} ${targ}          ${MAKEDIRTARGET} ${dir} ${targ}
Line 481  do-x11: .PHONY .MAKE
Line 486  do-x11: .PHONY .MAKE
         @false          @false
 .endif  .endif
   
   do-extsrc: .PHONY .MAKE
   .if ${MKEXTSRC} != "no"
           ${MAKEDIRTARGET} extsrc build
   .else
           @echo "MKEXTSRC is not enabled"
           @false
   .endif
   
 do-obsolete: .PHONY .MAKE  do-obsolete: .PHONY .MAKE
         ${MAKEDIRTARGET} etc install-obsolete-lists          ${MAKEDIRTARGET} etc install-obsolete-lists
   

Legend:
Removed from v.1.272  
changed lines
  Added in v.1.275

CVSweb <webmaster@jp.NetBSD.org>